> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-psuratelimit.md).

# New-PSURateLimit

New-PSURateLimit opretter en anmodningsfrekvensgrænse i PowerShell Universal, der begrænser, hvor ofte et bestemt slutpunkt kan kaldes inden for en tidsperiode.

## Synopsis

Opretter en ny hastighedsbegrænsning for PowerShell Universal-serveren.

## Syntaks

```
New-PSURateLimit [-Name <String>] -Endpoint <String> -Period <TimeSpan> -Limit <Int32> [-ComputerName <String>]
 [-AppToken <String>] [-Credential <PSCredential>] [-UseDefaultCredentials] [-Integrated] [-TrustCertificate]
 [-Cookies] [<CommonParameters>]
```

## Beskrivelse

Opretter en ny hastighedsbegrænsning for PowerShell Universal-serveren. Hastighedsbegrænsninger påvirker hele serveren. De kan begrænse omfanget af hastighedsbegrænsningen ud fra URL'er.

Konfigurationer for hastighedsbegrænsning gemmes i .universal/rateLimits.ps1

De kan også bruge denne cmdlet til at oprette hastighedsbegrænsninger via REST API'en.

De kan bruge Set-PSUSetting til at konfigurere tilladelseslister for IP-adresser, slutpunkter og computernavne, der ikke påvirkes af hastighedsbegrænsningen.

## Eksempler

### Eksempel 1

```powershell
New-PSURateLimit -Endpoint "/myEndpoint" -Period ([TimeSpan]::FromMinutes(10)) -Limit 100
```

Opretter en ny hastighedsbegrænsning, der forhindrer brugeren i at kalde slutpunktet /myEndpoint mere end 100 gange inden for 10 minutter.

## Parametre

### -AppToken

Det AppToken, der bruges til at kalde PowerShell Universal Management API. De kan også kalde Connect-PSUServer, før De kalder denne cmdlet, for at angive AppToken for hele sessionen.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -ComputerName

Angiver det computernavn eller den URL, der skal kaldes, når PowerShell Universal Management API tilgås. De kan også bruge Connect-PSUServer, før De kalder denne cmdlet, for at angive computernavnet for hele sessionen.

```yaml
Type: String
Parameter Sets: (All)
Aliases: Uri

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Endpoint

URL'en for det slutpunkt, der skal hastighedsbegrænses. URL'en kan indeholde jokertegn ved hjælp af tegnet \*.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Limit

Antallet af anmodninger i perioden.

```yaml
Type: Int32
Parameter Sets: (All)
Aliases:

Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Period

Den tidsperiode, grænsen skal håndhæves i.

```yaml
Type: TimeSpan
Parameter Sets: (All)
Aliases:

Required: True
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -UseDefaultCredentials

Brug standardlegitimationsoplysninger, når der oprettes forbindelse til Management API

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Integrated

Udfører kommandoen internt i stedet for at bruge Management API. Virker kun, når scriptet køres inde fra PowerShell Universal.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Credential

Legitimationsoplysninger til at logge på PowerShell Universal Management API.

```yaml
Type: PSCredential
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -TrustCertificate

Om cmdlet'en skal ignorere certifikatproblemer.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Name

Navnet på denne hastighedsbegrænsningsregel.

```yaml
Type: String
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### -Cookies

Genbruger og bevarer godkendelsescookies for den aktuelle PowerShell-session.

```yaml
Type: SwitchParameter
Parameter Sets: (All)
Aliases:

Required: False
Position: Named
Default value: None
Accept pipeline input: False
Accept wildcard characters: False
```

### CommonParameters

Denne cmdlet understøtter de fælles parametre: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -Verbose, -WarningAction, -WarningVariable og -ProgressAction. Se [about\_CommonParameters](http://go.microsoft.com/fwlink/?LinkID=113216) for at få flere oplysninger.

## Input

### Ingen

## Output

### System.Object

## Noter

## Relaterede links

[Set-PSUSetting](/powershell-universal/da/powershell-kommandoer/set-psusetting.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/da/powershell-kommandoer/new-psuratelimit.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
